package wusthelper.data.entity;

import lombok.Data;

@Data
public class Student {
    /**
     * 本科生id
     */
    private Long id;

    /**
     * 学号
     */
    private String stuNum;

    /**
     * 姓名
     */
    private String stuName;

    /**
     * 教务处密码
     */
    private String jwcPwd;

    /**
     * 图书馆密码（本科生教务处密码与图书馆密码一致）
     */
    private String libPwd;

    /**
     * 物理实验系统密码
     */
    private String wlsyPwd;

    /**
     * 学院编号
     */
    private Long collegeId;

    /**
     * 专业编号
     */
    private Long majorId;

    /**
     * 班级编号
     */
    private Long classId;

    /**
     * 生日
     */
    private String birthday;

    /**
     * 性别
     */
    private String sex;

    /**
     * 民族
     */
    private String nation;

    /**
     * 籍贯
     */
    private String nativePlace;

    /**
     * 昵称
     */
    private String nickName;

    /**
     * 电话
     */
    private String phone;

    /**
     * 电子邮箱
     */
    private String email;

    /**
     * qq号
     */
    private String qqNum;

    /**
     * 微信号码
     */
    private String wechatNum;

    /**
     * 客户端平台
     */
    private String platform;
}