package wusthelper;

import wusthelper.data.dao.mapper.StudentMapper;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.context.annotation.Configuration;
import org.springframework.test.context.TestPropertySource;
import org.springframework.test.context.junit.jupiter.SpringExtension;

@Configuration
@ExtendWith(SpringExtension.class)
@SpringBootTest(classes = TestMain.class)
@TestPropertySource(properties = {
        "spring.config.location=classpath:application-test.yml"
})
public class StudentTest {
    @Autowired
    private StudentMapper studentMapper;

    @Test
    public void testStudent() {
        System.out.println(studentMapper.selectById(38));
    }
}
