package wusthelper.internal.graduate.bean;

import cn.wustlinghang.mywust.core.parser.graduate.GraduateCourseTableParser;
import cn.wustlinghang.mywust.core.parser.graduate.GraduateScoreParser;
import cn.wustlinghang.mywust.core.parser.graduate.GraduateStudentInfoPageParser;
import cn.wustlinghang.mywust.core.parser.graduate.GraduateTrainingPlanPageParser;
import jakarta.inject.Singleton;

public class MywustParserBeans {
    @Singleton
    public GraduateCourseTableParser graduateCourseTableParser() {
        return new GraduateCourseTableParser();
    }

    @Singleton
    public GraduateScoreParser graduateScoreParser() {
        return new GraduateScoreParser();
    }

    @Singleton
    public GraduateStudentInfoPageParser graduateStudentInfoPageParser() {
        return new GraduateStudentInfoPageParser();
    }

    @Singleton
    public GraduateTrainingPlanPageParser graduateTrainingPlanPageParser() {
        return new GraduateTrainingPlanPageParser();
    }
}
