/*
 * Class created by lensfrex.
 */

package wusthelper.internal.rpc.response;

public enum RpcCommonResponseCode {
    Success(20000, "成功"),
    ParamWrong(30001, "参数错误"),
    ServerInternalError(50000, "服务器内部错误"),
    ApiNotImplement(0, "接口未实现"),

    ;

    private final int code;

    private final String message;

    RpcCommonResponseCode(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}