package wusthelper.internal.rpc.entity;

import lombok.Builder;

import java.util.List;

@Builder
public record RegisterRequestBody(String address, int port, List<HealthCheckOption> checks, String name, String id) {
    @Builder
    public record HealthCheckOption(String http, String interval, String timeout) {
    }
}