package wusthelper.internal.graduate.api.http.v1.handler;

import wusthelper.internal.rpc.exception.RpcException;
import jakarta.ws.rs.core.Response;
import jakarta.ws.rs.ext.ExceptionMapper;
import jakarta.ws.rs.ext.Provider;

@Provider
public class RpcExceptionHandler extends BaseExceptionHandler implements ExceptionMapper<RpcException> {
    @Override
    public Response toResponse(RpcException e) {
        return super.toResponse(
                e.getCode(),
                e.toString(),
                "RpcExceptionHandler");
    }
}
